<template>
  <q-page>
    <q-no-ssr>
      <q-carousel
        v-model="slide"
        swipeable
        animated
        control-color="white"
        navigation
        padding
        arrows
        height="500px"
        :infinite="true"
        :autoplay="autoplay"
        @mouseenter="autoplay = false"
        @mouseleave="autoplay = true"
        class="bg-primary text-white shadow-1 rounded-borders"
      >
        <q-carousel-slide
          v-for="carousel in carousels"
          :key="carousel.name"
          :name="carousel.name"
          :img-src="carousel.img"
          class="column no-wrap flex-center"
        >
          <div class="row">
            <div class="col-md-4">
              <div class="text-h3">{{ carousel.title }}</div>
              <div class="q-py-md">{{ carousel.content }}</div>
              <router-link :to="carousel.name">
                <q-btn rounded class="bg-orange text-dark q-pa-md"
                  >Selengkapnya</q-btn
                >
              </router-link>
            </div>
          </div>
        </q-carousel-slide>
      </q-carousel>
      <div class="q-pa-md">
        <div class="text-h4 text-center">Game Terbaru</div>
        <div class="row">
          <div
            class="col-md-4 col-xs-12 q-pa-md bg-image"
            v-for="item in news.games"
            :key="item.title"
          >
            <q-card>
              <router-link :to="'/game/' + item.slug">
                <image-view
                  :src="item.thumbnail"
                  :alt="placeholderImages.game"
                  :ratio="2"
                />
              </router-link>
              <q-card-section>
                <router-link :to="'/blog/' + item.slug">
                  <div class="text-h6">{{ item.title }}</div>
                </router-link>
                <div class="q-py-sm text-grey-8">{{ item.description }}</div>
                <div>{{ item.created_at }}</div>
              </q-card-section>
            </q-card>
          </div>
        </div>
        <div class="text-center text-grey">
          <router-link to="/game">CLICK FOR MOAR</router-link>
        </div>
      </div>
      <div class="q-pa-md bg-light-blue-1">
        <div class="text-h4 text-center">Berita Terbaru</div>
        <div class="row">
          <div
            class="col-md-4 col-xs-12 q-pa-md bg-image"
            v-for="item in news.blogs"
            :key="item.title"
          >
            <q-card>
              <router-link :to="'/blog/' + item.slug">
                <image-view
                  :src="item.thumbnail"
                  :alt="placeholderImages.post"
                  :ratio="2"
                />
              </router-link>
              <q-card-section>
                <router-link :to="'/blog/' + item.slug">
                  <div class="text-h6">{{ item.title }}</div>
                </router-link>
                <div class="q-py-sm text-grey-8">{{ item.description }}</div>
                <div>{{ item.created_at }}</div>
              </q-card-section>
            </q-card>
          </div>
        </div>
        <div class="text-center text-grey">
          <router-link to="/blog">CLICK FOR MOAR</router-link>
        </div>
      </div>
    </q-no-ssr>
  </q-page>
</template>

<script lang="ts">
import { ref } from 'vue';
import { useLatestNewsStore } from 'stores/latest-news';
import { placeholderImages } from 'src/boot/placeholder';
import ImageView from 'src/components/ImageView.vue';

export default {
  name: 'IndexPage',

  components: {
    ImageView,
  },
  setup() {
    const news = useLatestNewsStore();
    news.fetchItems();
    const carousels = [
      {
        name: 'blog',
        title: 'Thanos Merajalela',
        img: 'https://news.labsnip.com/uploads/photos/1/App/slider-1.jpg',
        content:
          'Bersama thanos, jadilah rakyat wakanda yang mangampuni' +
          'hamba-hambanya seakan akan Lorem ipsum dolor sit amet' +
          'consectetur mollitia, nemo consectetur corrupti dignissimos,' +
          'architecto sunt dicta.',
      },
      {
        name: 'game',
        title: 'PUBG Mobile port ke PC',
        img: 'https://news.labsnip.com/uploads/photos/1/App/slider-2.jpg',
        content:
          'Kalau anda ingat pubg mobile, maka anda akan bisa melakukan' +
          'Lorem, ipsum dolor sit amet consectetur adipisicing elit. Unde' +
          'placeat perspiciatis voluptas ducimus.',
      },
    ];
    return {
      news,
      carousels,
      slide: ref('blog'),
      autoplay: ref(true),
      placeholderImages,
    };
  },
};
</script>
